Page MenuHomePhabricator

Highlight recited word
Closed, ResolvedPublic1 Estimate Story Points

Description

The word currently being recited should be highlighted. Care needs to be taken that this take precedence over sentence highlighting (T148622).

Details

Related Gerrit Patches:
mediawiki/extensions/Wikispeech : masterHighlight recited word

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Lokal_Profil triaged this task as Medium priority.Nov 29 2016, 3:40 PM
Lokal_Profil edited projects, added Wikispeech; removed Wikispeech (Sprint 2016-11-16).
Lokal_Profil added a subscriber: Lokal_Profil.

Based on need in T151786

Lokal_Profil changed the point value for this task from 2 to 8.Feb 7 2017, 1:40 PM

Changed story points to new system

This will likely need to store the relation between original text nodes (and offsets) and text elements. Make sure T157534: Links and "'s" causes token generation to fail doesn't happen again.

Sebastian_Berlin-WMSE changed the point value for this task from 8 to 12.

Increased story point since a lot of complications were discovered when working and more may appear before full implementation.

Worked on in Wikispeech (Sprint 2017-03-08):

  • Implemented for most common cases.

To do in Wikispeech (Sprint 2017-03-22):

  • Implement for all known cases.
  • Start review.
Lokal_Profil changed the point value for this task from 12 to 10.Apr 5 2017, 9:12 AM

Worked on in Wikispeech (Sprint 2017-03-22):

  • Support a token spanning more than one text node (or only part of one).

To do in Wikispeech (Sprint 2017-04-05):

Discovered/recalled that [[ https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/setTimeout | setTimeout ]] (which was my initial idea for replacing timeupdate) and friends aren't that accurate (http://stackoverflow.com/a/29972322). I'll go look for more accurate solutions.

After seeing demos using setTimeout, it may actually be accurate enough for this. There may be something else going on.

Sebastian_Berlin-WMSE changed the point value for this task from 10 to 12.

Worked on in Wikispeech (Sprint 2017-04-05):

  • Fixed timing to work OK.
  • Everything seems to work (TM).

To do in Wikispeech (Sprint 2017-04-25):

  • Clean up code.
  • Fix special cases that will probably pop up during above.
  • Start review.

In implementing this, it was clear that the current structure of having all the JavaScript in great, big module wasn't viable any more. The patch for this task therefore includes breaking out the logic for highlighting into a separate module.

Sebastian_Berlin-WMSE changed the task status from Open to Stalled.Apr 28 2017, 1:35 PM

The is complete, as in there are no issues that I have found. I will hold off the patch until the patches that are currently under review have been merged.

Sebastian_Berlin-WMSE changed the task status from Stalled to Open.May 2 2017, 2:30 PM

Change 351576 had a related patch set uploaded (by Sebastian Berlin (WMSE); owner: Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Highlight recited word

https://gerrit.wikimedia.org/r/351576

Lokal_Profil moved this task from Backlog to Review on the User-LokalProfil board.
Lokal_Profil changed the point value for this task from 12 to 6.

Worked on in Wikispeech (Sprint 2017-04-25):

  • Submitted for review
  • Review

To do in Wikispeech (Sprint 2017-05-10):

  • Implement review
Sebastian_Berlin-WMSE changed the point value for this task from 6 to 4.May 24 2017, 7:56 AM

Worked on in Wikispeech (Sprint 2017-05-10):

  • Started looking at review.

To do in Wikispeech (Sprint 2017-05-24):

  • Finish implementing review.
Sebastian_Berlin-WMSE changed the point value for this task from 4 to 1.Jun 5 2017, 3:08 PM

Worked on in Wikispeech (Sprint 2017-05-24):

  • Implemented first review.

To do in Wikispeech (Sprint 2017-06-07):

  • Review again.

Change 351576 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Highlight recited word

https://gerrit.wikimedia.org/r/351576

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-cloud) [2017-06-14T10:04:05Z] <Sebastian-WMSE> Deploy latest from Git master: e641fcb (T165540), dfee00f (T148623)

Jopparn closed this task as Resolved.Jun 26 2017, 8:00 AM